create or replace procedure UDO_P_EQCONFIG_DATASET_MAKE
/*         */
(
  NEQCONFIG                 in number,  -- .   
  DBEG                      in date,    --  ""
  DEND                      in date,    --  ""
  NDATASET_IDENT            out number, --   
  NDATASET_CONFIG_IDENT     out number, --    
  NREQUEST_CONFIG_IDENT     out number  --    
)
is
begin
  /* :      () */
  /* create table UDO_T_FILE_BUFFER as select * from FILE_BUFFER; */
  for C in (select T.* from UDO_T_FILE_BUFFER T)
  loop
    if (C.BDATA is null) then
      NDATASET_CONFIG_IDENT := GEN_IDENT();
      P_FILE_BUFFER_INSERT(NIDENT    => NDATASET_CONFIG_IDENT,
                           CFILENAME => C.FILENAME,
                           CDATA     => C.DATA,
                           BLOBDATA  => C.BDATA);
    else
      NDATASET_IDENT := GEN_IDENT();
      P_FILE_BUFFER_INSERT(NIDENT => NDATASET_IDENT, CFILENAME => C.FILENAME, CDATA => C.DATA, BLOBDATA => C.BDATA);
    end if;
  end loop;
  return;
  /* :      () */
  /*     */
  for C in (select T.COMPANY,
                   T.RN
              from EQCONFIG T
             where T.RN = NEQCONFIG)
  loop
    /*   */
    UDO_PKG_EQUIPDS_DATAPROCESS.DATASET_CONF_SET(NCOMPANY              => C.COMPANY,
                                                 NEQCONFIG             => C.RN,
                                                 DBEG                  => DBEG,
                                                 DEND                  => DEND,
                                                 NLENGTH_GB            => 1,
                                                 NDATASET_IDENT        => NDATASET_IDENT,
                                                 NDATASET_CONFIG_IDENT => NDATASET_CONFIG_IDENT);
  end loop;
end UDO_P_EQCONFIG_DATASET_MAKE;
/
