/*    ( ) */
create table UDO_T_EQUIPDSCM
(
  /*   */
  RN                        number(17) not null,
  /*  */
  PRN                       number(17) not null,
  /*   */
  EQOBJKIND                 number(17) not null,
  /*    */
  DICMUNTS                  number(17) not null,
  /*    */
  DATA_CONFIG               clob,
  /*   */
  USERPROCS_DATA            number(17) not null,
  /*        */
  EXSSERVICEFN_UPLOAD       number(17) not null,
  /*       */
  EXSSERVICEFN_SEND_MD      number(17) not null,
  /* Call-back       */
  EXSSERVICEFN_SEND_MDCB    number(17) not null,
  /*       */
  EXSSERVICEFN_SEND_RQ      number(17) not null,
  /* Call-back       */
  EXSSERVICEFN_SEND_RQCB    number(17) not null,
  /*           */
  EXSSERVICEFN_FRCST_MD     number(17) not null,  
  /*  */
  constraint UDO_C_EQUIPDSCM_RN_PK primary key (RN),
  constraint UDO_C_EQUIPDSCM_PRN_FK foreign key (PRN) references UDO_T_EQUIPDS(RN),
  constraint UDO_C_EQUIPDSCM_EQOBJKIND_FK foreign key (EQOBJKIND) references EQOBJKIND(RN),
  constraint UDO_C_EQUIPDSCM_DICMUNTS_FK foreign key (DICMUNTS) references DICMUNTS(RN),
  constraint UDO_C_EQUIPDSCM_USRPD_FK foreign key (USERPROCS_DATA) references USERPROCS(RN),
  constraint UDO_C_EQUIPDSCM_EXSFNUPLD_FK foreign key (EXSSERVICEFN_UPLOAD) references EXSSERVICEFN(RN),  
  constraint UDO_C_EQUIPDSCM_EXSFNSDMD_FK foreign key (EXSSERVICEFN_SEND_MD) references EXSSERVICEFN(RN),
  constraint UDO_C_EQUIPDSCM_EXSFNSDMDCB_FK foreign key (EXSSERVICEFN_SEND_MDCB) references EXSSERVICEFN(RN),
  constraint UDO_C_EQUIPDSCM_EXSFNSDRQ_FK foreign key (EXSSERVICEFN_SEND_RQ) references EXSSERVICEFN(RN),
  constraint UDO_C_EQUIPDSCM_EXSFNSDRQCB_FK foreign key (EXSSERVICEFN_SEND_RQCB) references EXSSERVICEFN(RN),
  constraint UDO_C_EQUIPDSCM_EXSFNFCMD_FK foreign key (EXSSERVICEFN_FRCST_MD) references EXSSERVICEFN(RN),
  constraint UDO_C_EQUIPDSCM_UN unique (EQOBJKIND)
);
